API Explorer 936 endpoints

Get Popular Endpoints

GET /obp/v7.0.0/api/popular-endpoints

OBPv6.0.0-getPopularApis No role required MetricAPI

Returns the operation IDs of the 50 most popular endpoints based on usage metrics.

This endpoint is public and does not require authentication.

The response contains a simple list of operation_id strings, ordered by popularity (most called first).

This includes endpoints from all API standards: OBP, Berlin Group, UK Open Banking, STET, Polish API, etc.

Example operation_id formats:

  • OBP: OBPv4.0.0-getBanks
  • Berlin Group: BGv1.3-getAccountList
  • UK Open Banking: UKv3.1-getAccounts

User Authentication is Optional. The User need not be logged in.

JSON response body fields (1)
operation_ids
operation_ids
Example success response
{
  "operation_ids": [
    "OBPv4.0.0-getBanks",
    "OBPv4.0.0-getBank",
    "BGv1.3-getAccountList"
  ]
}
Possible errors (1)
  • OBP-50000: Unknown Error.
Implemented by OBPv6.0.0 getPopularApis Originally /obp/v6.0.0/api/popular-endpoints